body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #f7f9fc;
  color: #333;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

#searchForm {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  max-width: 600px;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  padding: 20px;
}

#searchInput {
  width: 100%;
  padding: 15px;
  margin-bottom: 20px;
  font-size: 18px;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
}

#searchInput:focus {
  border-color: #007bff;
  box-shadow: inset 0 1px 3px rgba(0, 123, 255, 0.2);
  outline: none;
}

#autocompleteList,
#searchHistory {
  width: 100%;
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.autocompleteItem,
.historyItem {
  padding: 15px;
  background-color: #fafafa;
  border: 1px solid #eee;
  border-radius: 5px;
  margin-bottom: 10px;
  cursor: pointer;
  transition: all 0.3s ease;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.autocompleteItem:hover,
.historyItem:hover {
  background-color: #f1f1f1;
}

.timestamp {
  font-size: 12px;
  color: #999;
}

#clearHistoryButton {
  margin-top: 20px;
  padding: 12px 24px;
  font-size: 16px;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#clearHistoryButton:hover {
  background-color: #0056b3;
}

.highlight {
  font-weight: bold;
}
